\theoremstyle{definition}
\makeatletter
\g@addto@macro\th@definition{\thm@headpunct{}}
\makeatother

% Example ...
\newtheorem{exmp}{Example}[section]

% Supposition ... fo when you don't have a clue
\newtheorem{supp}{Supposition}[section]

% Issue
\newtheorem{issue}{Issue}[section]

\newtheorem{assumption}{Assumption}[section]